# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [6.0.0-alpha.6](https://github.com/faker-js/faker/compare/v6.0.0-alpha.5...v6.0.0-alpha.6) (2022-02-10)


### Features

* add chat.fakerjs.dev subdomain redirection to discord ([#306](https://github.com/faker-js/faker/issues/306)) ([32b4839](https://github.com/faker-js/faker/commit/32b483920450a5c1a084e83723f1c433db8ff34f))
* auto generate/update locale files ([#252](https://github.com/faker-js/faker/issues/252)) ([df48704](https://github.com/faker-js/faker/commit/df48704c818a1addb8c32140f12e592e243f4e6d))
* **types:** provide strong typing for locales ([#363](https://github.com/faker-js/faker/issues/363)) ([5e6754d](https://github.com/faker-js/faker/commit/5e6754da61b63019fd063fad26adbeeabd8b789b))


### Bug Fixes

* improve internet tests and fix bug in domain name generation ([#258](https://github.com/faker-js/faker/issues/258)) ([c6f7aa9](https://github.com/faker-js/faker/commit/c6f7aa9de0259b45a62bf59336c3ff037a40651d))
* optional args on faker.finance.iban() ([#431](https://github.com/faker-js/faker/issues/431)) ([c71469c](https://github.com/faker-js/faker/commit/c71469c8e0bca9ccf4a8f66be1294f5139f9631f))
* param can be optional ([#381](https://github.com/faker-js/faker/issues/381)) ([f8a95a1](https://github.com/faker-js/faker/commit/f8a95a1b2d66d188b5f5ef622de7e2c7c27743bc))
* remove redundant precision from datatype.datetime options ([#335](https://github.com/faker-js/faker/issues/335)) ([9d5a7a2](https://github.com/faker-js/faker/commit/9d5a7a2533c569fa1cad2dacb6ae223644bb98cb))
* removed dead code and adjusted fileExt ([#304](https://github.com/faker-js/faker/issues/304)) ([471bc1d](https://github.com/faker-js/faker/commit/471bc1d5d797b5eee5de6c980505d0d8db158776))
* removed node v12 from the pipe ([#309](https://github.com/faker-js/faker/issues/309)) ([537f56e](https://github.com/faker-js/faker/commit/537f56e129512b38f62f802a8099dc40f5cfa66f))
* some return types ([#307](https://github.com/faker-js/faker/issues/307)) ([4ca61ca](https://github.com/faker-js/faker/commit/4ca61ca5b73c3cd4a0ba4094aabd492e2b7f74bf))

## [6.0.0-alpha.5](https://github.com/faker-js/faker/compare/v6.0.0-alpha.4...v6.0.0-alpha.5) (2022-01-25)


### Bug Fixes

* revert pnpm only-allow ([#291](https://github.com/faker-js/faker/issues/291)) ([132e8c3](https://github.com/faker-js/faker/commit/132e8c3d7c173a6c9708f865e8c7d6c31f9c6e55))

## [6.0.0-alpha.4](https://github.com/faker-js/faker/compare/v6.0.0-alpha.3...v6.0.0-alpha.4) (2022-01-24)


### ⚠ BREAKING CHANGES

* support tree-shaking (#152)

### Features

* add autocomplete support for locales ([#248](https://github.com/faker-js/faker/issues/248)) ([c1f2b09](https://github.com/faker-js/faker/commit/c1f2b09be957760a133baaab9d58364bda57be0d))
* migrate locales to typescript ([#238](https://github.com/faker-js/faker/issues/238)) ([d4cfa3c](https://github.com/faker-js/faker/commit/d4cfa3cbbc1c887a17dddbdd5ffc64140e8fa605))
* support tree-shaking ([#152](https://github.com/faker-js/faker/issues/152)) ([ccf119d](https://github.com/faker-js/faker/commit/ccf119deeb6c6d4c942544d83b515cddc5681ba3))
* use export default for locales ([#249](https://github.com/faker-js/faker/issues/249)) ([93e8e53](https://github.com/faker-js/faker/commit/93e8e535ba5bf85fae029078941523ce566fb356))


### Bug Fixes

* add missing fakers for existing locales ([#263](https://github.com/faker-js/faker/issues/263)) ([7177d37](https://github.com/faker-js/faker/commit/7177d375ec1d29d5bcab7525ef90a3eed1a4fa84))
* jalapeño typo ([#259](https://github.com/faker-js/faker/issues/259)) ([74204a0](https://github.com/faker-js/faker/commit/74204a0ded997b08a988fe20481a715081b7daf6))
* ts support for locales ([#169](https://github.com/faker-js/faker/issues/169)) ([61d0296](https://github.com/faker-js/faker/commit/61d02960a9132fa2c4d4d7259883b2e944233bb9))
* **types:** fixed datetime types for optional argument ([#192](https://github.com/faker-js/faker/issues/192)) ([60b71fd](https://github.com/faker-js/faker/commit/60b71fd257c2b95a6997f5aac516b88327a78f4b))
* **types:** fixed exampleEmail arguments types ([#241](https://github.com/faker-js/faker/issues/241)) ([66aa374](https://github.com/faker-js/faker/commit/66aa374fc3ca958070819d7eb6b119accc01cd3d))
* typo in update.md ([#180](https://github.com/faker-js/faker/issues/180)) ([4a69d6d](https://github.com/faker-js/faker/commit/4a69d6dc295153e037c15e084e55aef1e662096b))

## [6.0.0-alpha.3](https://github.com/faker-js/faker/compare/v6.0.0-alpha.2...v6.0.0-alpha.3) (2022-01-15)


### Features

* add definitions ([#84](https://github.com/faker-js/faker/issues/84)) ([cfdfad5](https://github.com/faker-js/faker/commit/cfdfad5d77b9b52a07c02d2fb3ca4588acdb7d5d))
* **domain_suffix:** add the `id`, `ponpes.id` and `net.id` domains for id_ID ([#137](https://github.com/faker-js/faker/issues/137)) ([ce4d48e](https://github.com/faker-js/faker/commit/ce4d48eb300e9e5e87ad9d7dcf7522e3147c98fb))
* migrate address ([#133](https://github.com/faker-js/faker/issues/133)) ([88afa60](https://github.com/faker-js/faker/commit/88afa60f739a60f08efe7365a3b80dbfd306055a))
* migrate animal ([#105](https://github.com/faker-js/faker/issues/105)) ([0abec83](https://github.com/faker-js/faker/commit/0abec83219a3e070ef9517849df556cad609ec4d))
* migrate commerce ([#106](https://github.com/faker-js/faker/issues/106)) ([82ab145](https://github.com/faker-js/faker/commit/82ab145286909d49a798c95bf46ea504ebdd7be7))
* migrate company ([#132](https://github.com/faker-js/faker/issues/132)) ([0205183](https://github.com/faker-js/faker/commit/0205183ed821fa1bc04bbb290e7ab713db6e5a91))
* migrate database ([#89](https://github.com/faker-js/faker/issues/89)) ([4d4653e](https://github.com/faker-js/faker/commit/4d4653e6cdfd551b5d6d7a939c85f4232391a235))
* migrate date ([#83](https://github.com/faker-js/faker/issues/83)) ([0fe6f2b](https://github.com/faker-js/faker/commit/0fe6f2b2f6780497c8992820326a610a702eb8aa))
* migrate fake ([#79](https://github.com/faker-js/faker/issues/79)) ([8fa14c6](https://github.com/faker-js/faker/commit/8fa14c698c25ee23ffc5168d7c69dc37fd7f8c4b))
* migrate finance ([#131](https://github.com/faker-js/faker/issues/131)) ([a1208ca](https://github.com/faker-js/faker/commit/a1208cacf76f96738a3505e2a71ae91d9759b805))
* migrate git ([#78](https://github.com/faker-js/faker/issues/78)) ([6122d3c](https://github.com/faker-js/faker/commit/6122d3c9b0e6c352514bf35707187da56e379359))
* migrate hacker ([#81](https://github.com/faker-js/faker/issues/81)) ([e0005ad](https://github.com/faker-js/faker/commit/e0005addb5c21773e0f61b2ba8be821b94822a10))
* migrate helpers ([#85](https://github.com/faker-js/faker/issues/85)) ([07f8b44](https://github.com/faker-js/faker/commit/07f8b4482eec8da397f87bbaa81450f7036f2236))
* migrate image ([#92](https://github.com/faker-js/faker/issues/92)) ([3c3e567](https://github.com/faker-js/faker/commit/3c3e567f4d9d901770a76bf30068a6742a00d882))
* migrate internet ([#94](https://github.com/faker-js/faker/issues/94)) ([8fcfcc6](https://github.com/faker-js/faker/commit/8fcfcc6b1a64f078ad14b4a434ffb2969487aca1))
* migrate lorem ([#86](https://github.com/faker-js/faker/issues/86)) ([7e6273b](https://github.com/faker-js/faker/commit/7e6273b32bdb6a1f1057a2d9b7dd1bbe6acccca0))
* migrate music ([#107](https://github.com/faker-js/faker/issues/107)) ([46d51ba](https://github.com/faker-js/faker/commit/46d51bac072e1efee0b7c6ddfa4b6aac2a9aa0ee))
* migrate name ([#103](https://github.com/faker-js/faker/issues/103)) ([de9f9d6](https://github.com/faker-js/faker/commit/de9f9d67c5fe9a698b048644f5b7374142b523b6))
* migrate phone ([#127](https://github.com/faker-js/faker/issues/127)) ([77f4e63](https://github.com/faker-js/faker/commit/77f4e63c4bfac731b813f7577a6e257548e20dd9))
* migrate random ([#91](https://github.com/faker-js/faker/issues/91)) ([efc11f1](https://github.com/faker-js/faker/commit/efc11f16e9c05e144c93fd2a6192c22313737918))
* migrate system ([#90](https://github.com/faker-js/faker/issues/90)) ([c0a6277](https://github.com/faker-js/faker/commit/c0a62778cc32b120e256f9779b1088b8a753e2ae))
* migrate time ([#74](https://github.com/faker-js/faker/issues/74)) ([168a211](https://github.com/faker-js/faker/commit/168a21146f953b3e219c32bd91bff3da9fe92296))
* migrate unique ([#128](https://github.com/faker-js/faker/issues/128)) ([86580d8](https://github.com/faker-js/faker/commit/86580d89135bfa0c077d96bb9634a1e47c2f7ea9))
* migrate vehicle ([#130](https://github.com/faker-js/faker/issues/130)) ([661f3b4](https://github.com/faker-js/faker/commit/661f3b4272b2a429c704ab31b4e839bd9ac94f94))
* migrate word ([#102](https://github.com/faker-js/faker/issues/102)) ([1b10032](https://github.com/faker-js/faker/commit/1b1003269ac90db163d4a2c23f5160192add8d6d))
* rewrite datatype to ts ([e0d0b5c](https://github.com/faker-js/faker/commit/e0d0b5cc45cfde3dd6a351650becf9ea83b99ae2))


### Bug Fixes

* added missing keys into package.json ([#148](https://github.com/faker-js/faker/issues/148)) ([b20f80b](https://github.com/faker-js/faker/commit/b20f80bf7886e89045e369add9c5598d3586a225))

## [6.0.0-alpha.2](https://github.com/faker-js/faker/compare/v6.0.0-alpha.1...v6.0.0-alpha.2) (2022-01-14)

## 6.0.0-alpha.1 (2022-01-14)

## 6.0.0-alpha.0 (2022-01-07)

For changes prior to version v6.0.0-alpha.1, see [the old changelog](./CHANGELOG_old.md).
